Changeset 113808


Ignore:
Timestamp:
Nov 24, 2013, 1:14:23 AM (6 years ago)
Author:
kimuraw@…
Message:

lang/ruby19: upgrade to 1.9.3-p484, includes fix of CVE-2013-4164

https://www.ruby-lang.org/en/news/2013/11/22/heap-overflow-in-floating-point-parsing-cve-2013-4164/

Location:
trunk/dports/lang/ruby19
Files:
1 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/lang/ruby19/Portfile

    r109941 r113808  
    66
    77name                            ruby19
    8 version                         1.9.3-p448
    9 revision                        1
     8version                         1.9.3-p484
     9revision                        0
    1010
    1111categories                      lang ruby
     
    2929distname                        ruby-${version}
    3030
    31 checksums                       md5 aa710d386e5903f78f0231868255e6af \
    32                                         rmd160 e012b5b506092406a4e35711d57290932ba557c6 \
    33                                         sha1 4bd9140bd4760409f771d4dd55138c22d3ff2995 \
    34                                         sha256 a7372230357bfff8e4525fb8019046da521561fe66b02c25d8efc10c9877bc91
     31checksums                       md5 03f5b08804927ceabe5122cb90f5d0a9 \
     32                                        rmd160 21b4acab12b974d1f99d994a40cdfe3fe8d0be95 \
     33                                        sha1 81dbaf390b16157069d8d1dd5b787db44d5f881c \
     34                                        sha256 0fdc6e860d0023ba7b94c7a0cf1f7d32908b65b526246de9dfd5bb39d0d7922b
    3535use_parallel_build      no
    3636
     
    5353#     format in specification: "2011-09-18 00:00:00.000000000Z"'
    5454#     https://github.com/rubygems/rubygems/pull/196
    55 # ruby-list:49520: fix mactk variant does not work
    56 patchfiles                      patch-lib-rubygems-specification.rb.diff \
    57                     patch-ruby-list-49520.diff
     55patchfiles                      patch-lib-rubygems-specification.rb.diff
    5856
    5957# ruby-1.9.3 supports Xcode-4.2 clang and gcc-4.2.
Note: See TracChangeset for help on using the changeset viewer.